org.eclipse.viatra.query.patternlanguage.emf.types

## Interface IEMFTypeProvider

- All Known Implementing Classes:
    EMFPatternTypeProvider

  Deprecated.

      @Deprecated
      public interface IEMFTypeProvider

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Map<PathExpressionTail,org.eclipse.emf.ecore.EStructuralFeature>` | `getAllFeaturesFromPathExpressionTail(PathExpressionTail pathExpressionTail)` Deprecated.
    `org.eclipse.emf.ecore.EClassifier` | `getClassifierForLiteralComputationEnumValueReference(ValueReference valueReference)` Deprecated.
    `org.eclipse.emf.ecore.EClassifier` | `getClassifierForType(Type type)` Deprecated.
    `org.eclipse.emf.ecore.EClassifier` | `getClassifierForVariable(Variable variable)` Deprecated.
    `org.eclipse.emf.ecore.EClassifier` | `getExplicitClassifierForPatternParameterVariable(Variable variable)` Deprecated.
    `java.util.Set<org.eclipse.emf.ecore.EClassifier>` | `getIrreducibleClassifiersForVariableInBody(PatternBody patternBody, Variable variable)` Deprecated.
    `org.eclipse.xtext.common.types.JvmTypeReference` | `getJvmType(org.eclipse.emf.ecore.EClassifier classifier, org.eclipse.emf.ecore.EObject context)` Deprecated. Calculates the corresponding JVM type of a selected EClassifier.
    `Type` | `getTypeFromPathExpressionTail(PathExpressionTail pathExpressionTail)` Deprecated.
    `org.eclipse.xtext.common.types.JvmTypeReference` | `getVariableType(Variable variable)` Deprecated. Calculates the JVM type of the selected variable.

- - ### Method Detail

    - #### getClassifierForVariable

          org.eclipse.emf.ecore.EClassifier getClassifierForVariable(Variable variable)

      Deprecated.
      Parameters:
        `variable` -
      Returns:
        the `EClassifier` for the given `Variable`. Returns null, if it fails.

    - #### getClassifierForType

          org.eclipse.emf.ecore.EClassifier getClassifierForType(Type type)

      Deprecated.
      Parameters:
        `type` -
      Returns:
        the `EClassifier` for the given `Type`. Returns null, if it fails.

    - #### getIrreducibleClassifiersForVariableInBody

          java.util.Set<org.eclipse.emf.ecore.EClassifier> getIrreducibleClassifiersForVariableInBody(PatternBody patternBody,
                                                                                                      Variable variable)

      Deprecated.
      Parameters:
        `patternBody` -
        `variable` -
      Returns:
        the list of possible classifiers computed from the constraints in the patternbody.

    - #### getExplicitClassifierForPatternParameterVariable

          org.eclipse.emf.ecore.EClassifier getExplicitClassifierForPatternParameterVariable(Variable variable)

      Deprecated.
      Parameters:
        `variable` -
      Returns:
        the `EClassifier` explicitly given in the parameter list for the given pattern parameter `Variable`. Returns null, if none found or not a parameter(Ref).

    - #### getVariableType

          org.eclipse.xtext.common.types.JvmTypeReference getVariableType(Variable variable)

      Deprecated.
      Calculates the JVM type of the selected variable. The calculation includes the inference of the corresponding EMF type, and then the calculation of corresponding Java class.

    - #### getJvmType

          org.eclipse.xtext.common.types.JvmTypeReference getJvmType(org.eclipse.emf.ecore.EClassifier classifier,
                                                                     org.eclipse.emf.ecore.EObject context)

      Deprecated.
      Calculates the corresponding JVM type of a selected EClassifier. The context is used to select the model-specific information, e.g. ResourceSet, project, etc.

    - #### getClassifierForLiteralComputationEnumValueReference

          org.eclipse.emf.ecore.EClassifier getClassifierForLiteralComputationEnumValueReference(ValueReference valueReference)

      Deprecated.
      Parameters:
        `valueReference` -
      Returns:
        an `EClassifier` for the given input `ValueReference`. The ValueReference can be a `LiteralValueReference`, or a `ComputationValue`.

    - #### getAllFeaturesFromPathExpressionTail

          java.util.Map<PathExpressionTail,org.eclipse.emf.ecore.EStructuralFeature> getAllFeaturesFromPathExpressionTail(PathExpressionTail pathExpressionTail)

      Deprecated.

    - #### getTypeFromPathExpressionTail

          Type getTypeFromPathExpressionTail(PathExpressionTail pathExpressionTail)

      Deprecated.